com.genesyslab.wfm8.API.service.config800

## Class CfgAgentShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgAgentShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentShort
      extends java.lang.Object
      implements java.io.Serializable

  "Short" Agent information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId` Agent ID
    `protected java.lang.String` | `gswEmail` Agent's E-mail address
    `protected java.lang.String` | `gswEmployeeId` Employee ID
    `protected java.lang.String` | `gswFirstName` First Name
    `protected java.lang.String` | `gswLastName` Last Name
    `private static long` | `serialVersionUID`
    `protected int` | `wmContractId` Agent's Contract ID--identifies `CfgContract`
    `protected double` | `wmEndDate` Termination Date (`OleDateTime`); can be NULL if Agent has not been terminated
    `protected int` | `wmSeniority` Seniority or Rank
    `protected int` | `wmSiteId` Agent's Site ID--identifies `CfgSite`; zero if Agent is "unassigned"
    `protected double` | `wmStartDate` Hire Date (`OleDateTime`)
    `protected int` | `wmTeamId` Agent's Team ID--identifies `CfgTeam`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `java.lang.String` | `getGswEmail()` Gets the value of the gswEmail property.
    `java.lang.String` | `getGswEmployeeId()` Gets the value of the gswEmployeeId property.
    `java.lang.String` | `getGswFirstName()` Gets the value of the gswFirstName property.
    `java.lang.String` | `getGswLastName()` Gets the value of the gswLastName property.
    `int` | `getWmContractId()` Gets the value of the wmContractId property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `int` | `getWmSeniority()` Gets the value of the wmSeniority property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `int` | `getWmTeamId()` Gets the value of the wmTeamId property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setGswEmail(java.lang.String value)` Sets the value of the gswEmail property.
    `void` | `setGswEmployeeId(java.lang.String value)` Sets the value of the gswEmployeeId property.
    `void` | `setGswFirstName(java.lang.String value)` Sets the value of the gswFirstName property.
    `void` | `setGswLastName(java.lang.String value)` Sets the value of the gswLastName property.
    `void` | `setWmContractId(int value)` Sets the value of the wmContractId property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmSeniority(int value)` Sets the value of the wmSeniority property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmTeamId(int value)` Sets the value of the wmTeamId property.
    `java.lang.String` | `toString()`
    `CfgAgentShort` | `withGswAgentId(int value)`
    `CfgAgentShort` | `withGswEmail(java.lang.String value)`
    `CfgAgentShort` | `withGswEmployeeId(java.lang.String value)`
    `CfgAgentShort` | `withGswFirstName(java.lang.String value)`
    `CfgAgentShort` | `withGswLastName(java.lang.String value)`
    `CfgAgentShort` | `withWmContractId(int value)`
    `CfgAgentShort` | `withWmEndDate(double value)`
    `CfgAgentShort` | `withWmSeniority(int value)`
    `CfgAgentShort` | `withWmSiteId(int value)`
    `CfgAgentShort` | `withWmStartDate(double value)`
    `CfgAgentShort` | `withWmTeamId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswAgentId

          protected int gswAgentId

      Agent ID

    - #### wmSiteId

          protected int wmSiteId

      Agent's Site ID--identifies `CfgSite`; zero if Agent is "unassigned"

    - #### wmTeamId

          protected int wmTeamId

      Agent's Team ID--identifies `CfgTeam`

    - #### wmContractId

          protected int wmContractId

      Agent's Contract ID--identifies `CfgContract`

    - #### gswEmployeeId

          protected java.lang.String gswEmployeeId

      Employee ID

    - #### gswFirstName

          protected java.lang.String gswFirstName

      First Name

    - #### gswLastName

          protected java.lang.String gswLastName

      Last Name

    - #### wmStartDate

          protected double wmStartDate

      Hire Date (`OleDateTime`)

    - #### wmEndDate

          protected double wmEndDate

      Termination Date (`OleDateTime`); can be NULL if Agent has not been terminated

    - #### wmSeniority

          protected int wmSeniority

      Seniority or Rank

    - #### gswEmail

          protected java.lang.String gswEmail

      Agent's E-mail address

  - ### Constructor Detail

    - #### CfgAgentShort

          public CfgAgentShort()

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the value of the wmTeamId property.

    - #### setWmTeamId

          public void setWmTeamId(int value)

      Sets the value of the wmTeamId property.

    - #### getWmContractId

          public int getWmContractId()

      Gets the value of the wmContractId property.

    - #### setWmContractId

          public void setWmContractId(int value)

      Sets the value of the wmContractId property.

    - #### getGswEmployeeId

          public java.lang.String getGswEmployeeId()

      Gets the value of the gswEmployeeId property.
      Returns:
        possible object is `String`

    - #### setGswEmployeeId

          public void setGswEmployeeId(java.lang.String value)

      Sets the value of the gswEmployeeId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGswFirstName

          public java.lang.String getGswFirstName()

      Gets the value of the gswFirstName property.
      Returns:
        possible object is `String`

    - #### setGswFirstName

          public void setGswFirstName(java.lang.String value)

      Sets the value of the gswFirstName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGswLastName

          public java.lang.String getGswLastName()

      Gets the value of the gswLastName property.
      Returns:
        possible object is `String`

    - #### setGswLastName

          public void setGswLastName(java.lang.String value)

      Sets the value of the gswLastName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### getWmSeniority

          public int getWmSeniority()

      Gets the value of the wmSeniority property.

    - #### setWmSeniority

          public void setWmSeniority(int value)

      Sets the value of the wmSeniority property.

    - #### getGswEmail

          public java.lang.String getGswEmail()

      Gets the value of the gswEmail property.
      Returns:
        possible object is `String`

    - #### setGswEmail

          public void setGswEmail(java.lang.String value)

      Sets the value of the gswEmail property.
      Parameters:
        `value` - allowed object is `String`

    - #### withGswAgentId

          public CfgAgentShort withGswAgentId(int value)

    - #### withWmSiteId

          public CfgAgentShort withWmSiteId(int value)

    - #### withWmTeamId

          public CfgAgentShort withWmTeamId(int value)

    - #### withWmContractId

          public CfgAgentShort withWmContractId(int value)

    - #### withGswEmployeeId

          public CfgAgentShort withGswEmployeeId(java.lang.String value)

    - #### withGswFirstName

          public CfgAgentShort withGswFirstName(java.lang.String value)

    - #### withGswLastName

          public CfgAgentShort withGswLastName(java.lang.String value)

    - #### withWmStartDate

          public CfgAgentShort withWmStartDate(double value)

    - #### withWmEndDate

          public CfgAgentShort withWmEndDate(double value)

    - #### withWmSeniority

          public CfgAgentShort withWmSeniority(int value)

    - #### withGswEmail

          public CfgAgentShort withGswEmail(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.